# Uses of Interface
org.opensaml.storage.impl.client.ClientStorageServiceStore.Factory

Packages that use ClientStorageServiceStore.Factory
Package
Description
org.opensaml.storage.impl.client
Implementation of `StorageService` that unifies cookie and HTML Local Storage.

## Uses of ClientStorageServiceStore.Factory in org.opensaml.storage.impl.client

Classes in org.opensaml.storage.impl.client that implement ClientStorageServiceStore.Factory
Modifier and Type
Class
Description
`static class`
`JSONClientStorageServiceStore.JSONClientStorageServiceStoreFactory`
Factory for JSON-backed store.
`static class`
`XMLClientStorageServiceStore.XMLClientStorageServiceStoreFactory`
Factory for XML-backed store.
Fields in org.opensaml.storage.impl.client declared as ClientStorageServiceStore.Factory
Modifier and Type
Field
Description
`private ClientStorageServiceStore.Factory`
ClientStorageService.`storeFactory`
Factory for backing store.
Methods in org.opensaml.storage.impl.client with parameters of type ClientStorageServiceStore.Factory
Modifier and Type
Method
Description
`void`
ClientStorageService.`setClientStorageServiceStoreFactory(ClientStorageServiceStore.Factory factory)`
Set the backing store `ClientStorageServiceStore.Factory` to use.